export interface AllocateOrderDetailVO {
  /**
   * 调拨子表主键
   */
  aoDId: string | number;

  /**
   * 调拨单号
   */
  allocateCode: string;

  /**
   * 物料id
   */
  materialId: string | number;

  /**
   * 调拨数量
   */
  allocateOrderQty: number;

  /**
   * erp同步状态
   */
  erpSynchronousStatus: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty: number;

}

export interface AllocateOrderDetailForm extends BaseEntity {
  /**
   * 调拨子表主键
   */
  aoDId?: string | number;

  /**
   * 调拨单号
   */
  allocateCode?: string;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 调拨数量
   */
  allocateOrderQty?: number;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty?: number;

}

export interface AllocateOrderDetailQuery extends PageQuery {

  /**
   * 调拨子表主键
   */
  aoDId?: string | number;

  /**
   * 调拨单号
   */
  allocateCode?: string;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 调拨数量
   */
  allocateOrderQty?: number;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



