export interface PsmStoreTypeVO {
  /**
   * 表主键
   */
  storeTypeId: string | number;

  /**
   * 仓库类型代码
   */
  storeTypeCode: string;

  /**
   * 仓库类型名称
   */
  storeTypeName: string;

  /**
   * 存放品级编号
   */
  checkGradeCode: string;

  /**
   * 存放品级名称
   */
  checkGradeName: string;

}

export interface PsmStoreTypeForm extends BaseEntity {
  /**
   * 表主键
   */
  storeTypeId?: string | number;

  /**
   * 仓库类型代码
   */
  storeTypeCode?: string;

  /**
   * 仓库类型名称
   */
  storeTypeName?: string;

  /**
   * 存放品级编号
   */
  checkGradeCode?: string;

  /**
   * 存放品级名称
   */
  checkGradeName?: string;

}

export interface PsmStoreTypeQuery extends PageQuery {

  /**
   * 表主键
   */
  storeTypeId?: string | number;

  /**
   * 仓库类型代码
   */
  storeTypeCode?: string;

  /**
   * 仓库类型名称
   */
  storeTypeName?: string;

  /**
   * 存放品级编号
   */
  checkGradeCode?: string;

  /**
   * 存放品级名称
   */
  checkGradeName?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



