export interface PsmInLoadDetailVO {
  /**
   * 表主键
   */
  objid: string | number;

  /**
   * 外键
   */
  inLoadId: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 轮胎规格
   */
  materialSpe: string;

  /**
   * 硫化条码
   */
  tyreNo: string;

  /**
   * 品级编号
   */
  checkGradeCode: string;

}

export interface PsmInLoadDetailForm extends BaseEntity {
  /**
   * 表主键
   */
  objid?: string | number;

  /**
   * 外键
   */
  inLoadId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 轮胎规格
   */
  materialSpe?: string;

  /**
   * 硫化条码
   */
  tyreNo?: string;

  /**
   * 品级编号
   */
  checkGradeCode?: string;

}

export interface PsmInLoadDetailQuery extends PageQuery {

  /**
   * 表主键
   */
  objid?: string | number;

  /**
   * 外键
   */
  inLoadId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 轮胎规格
   */
  materialSpe?: string;

  /**
   * 硫化条码
   */
  tyreNo?: string;

  /**
   * 品级编号
   */
  checkGradeCode?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



